using System;
namespace System.Model
{
	/// <summary>
	/// 订单详情表
	/// </summary>
	[Serializable]
	public partial class T_Bus_OrderDetail
	{
		public T_Bus_OrderDetail()
		{ }
		#region Model
		private string _f_id;
		private int _f_sort = 1;
		private string _f_orderid;
		private string _f_productid;
		private string _f_productname = "";
		private decimal _f_price;
		private decimal _f_dealprice;
		private int _f_count = 1;
		private decimal _f_totleprice;
		private DateTime _f_addtime;
		private int _f_adduser;
		private string _f_addusername;
		private string _f_remark = "";
		private int _f_activity;
		private int _f_state=0;

		/// <summary>
		/// 0正常1售后中 2售后完成
		/// </summary>
		public int F_State
		{
			set { _f_state = value; }
			get { return _f_state; }
		}
		
		/// <summary>
		/// 订单详情Id
		/// </summary>
		public string F_Id
		{
			set { _f_id = value; }
			get { return _f_id; }
		}
		/// <summary>
		/// 排序，单个订单商品的排序
		/// </summary>
		public int F_Sort
		{
			set { _f_sort = value; }
			get { return _f_sort; }
		}
		/// <summary>
		/// 订单Id
		/// </summary>
		public string F_OrderId
		{
			set { _f_orderid = value; }
			get { return _f_orderid; }
		}
		/// <summary>
		/// 产品编号
		/// </summary>
		public string F_ProductId
		{
			set { _f_productid = value; }
			get { return _f_productid; }
		}
		/// <summary>
		/// 产品名称
		/// </summary>
		public string F_ProductName
		{
			set { _f_productname = value; }
			get { return _f_productname; }
		}
		/// <summary>
		/// 单价，优先显示可用最低价会员价
		/// </summary>
		public decimal F_Price
		{
			set { _f_price = value; }
			get { return _f_price; }
		}
		/// <summary>
		/// 成交单价（一般在会员价和特惠价中间）
		/// </summary>
		public decimal F_DealPrice
		{
			set { _f_dealprice = value; }
			get { return _f_dealprice; }
		}
		/// <summary>
		/// 数量
		/// </summary>
		public int F_Count
		{
			set { _f_count = value; }
			get { return _f_count; }
		}
		/// <summary>
		/// 小计总计
		/// </summary>
		public decimal F_TotlePrice
		{
			set { _f_totleprice = value; }
			get { return _f_totleprice; }
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_AddUser
		{
			set { _f_adduser = value; }
			get { return _f_adduser; }
		}
		/// <summary>
		/// 添加人姓名
		/// </summary>
		public string F_AddUserName
		{
			set { _f_addusername = value; }
			get { return _f_addusername; }
		}
		/// <summary>
		/// 备注
		/// </summary>
		public string F_Remark
		{
			set { _f_remark = value; }
			get { return _f_remark; }
		}

		public int F_Activity
		{
			set { _f_activity = value; }
			get { return _f_activity; }
		}
		#endregion Model

	}
}

